Subject: bug#13522: 24.2; save-buffer removes edited file under some conditions

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Apr 2022 18:51:34 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Glenn applied one solution to this (binding coding-system-for-write),
> but that had other problems, apparently.  I've now respun his original
> patch, and as far as I can tell, it works pretty well.  However, it
> breaks files-tests-bug-18141.
>
> But before I try to debug this, does anybody see anything fundamentally
> misguided about this approach?

Oh, I should have looked at bug#18141 first.

Glenn's commit was 9dbda100755158f, and it has basically the same
problems the first version of the code has.  So skip my question about
whether that approach has problems; it does.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no